package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ClasseIndicePeaje;

public class RenderClasseIndicePeaj implements ListitemRenderer {

	@Override
	public void render(Listitem arg0, Object arg1) throws Exception {
		ClasseIndicePeaje classeIndicePeaje = (ClasseIndicePeaje) arg1;

		DecimalFormat decimalFormat = new DecimalFormat("#0.000");

		Listcell lc = new Listcell(classeIndicePeaje.getClasseServicio().getDescclase());
		lc.setParent(arg0);

		lc = new Listcell(decimalFormat.format(classeIndicePeaje.getIndicePeaje()));
		lc.setParent(arg0);

		arg0.setAttribute("data", classeIndicePeaje);
	}

}
